"{ Package: 'stx:goodies/ston/tests' }"

"{ NameSpace: Smalltalk }"

STONWriteReadTests subclass:#STONLargeWriteReadTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'STON-Tests-Write-Read'
!

!STONLargeWriteReadTests methodsFor:'private'!

materialize: string
	^ STON reader
		on: string readStream;
		optimizeForLargeStructures;
		next
!

serialize: anObject
	^ String streamContents: [ :stream |
		STON writer 
			on: stream; 
			optimizeForLargeStructures; 
			nextPut: anObject ]
!

serializeJson: anObject
	^ String streamContents: [ :stream |
		STON jsonWriter 
			on: stream; 
			prettyPrint: true;
			optimizeForLargeStructures; 
			nextPut: anObject ]
! !

